### Method

# GdkX11 X11Displayutf8_to_compound_text

#### Declaration [src]

    gboolean
    gdk_x11_display_utf8_to_compound_text (
      GdkDisplay* display,
      const char* str,
      const char** encoding,
      int* format,
      guchar** ctext,
      int* length
    )

#### Description [src]

Converts from UTF-8 to compound text.

#### Parameters

`str`

  Type: `const char*`

  A UTF-8 string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`encoding`

  Type: `const char**`

  Location to store resulting encoding.

  The argument will be set by the function.
  The data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `int*`

  Location to store format of the result.

  The argument will be set by the function.

`ctext`

  Type: An array of `guchar*`

  Location to store the data of the result.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `int*`

  Location to store the length of the data stored in `ctext`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the conversion succeeded, otherwise `FALSE`.